use crate::computers::ram_rom::RamRomComputer;
use crate::periph::at28c256::At28C256;
use crate::periph::hm62256::Hm62256;

impl RamRomComputer {
    pub fn program_rom(rom: Vec<u8>) -> RamRomComputer {
        let new_rom = At28C256::new(0x0000, 0x3fff, rom);
        RamRomComputer {
            rom: new_rom,
            ram: Hm62256::new(0x3fff),
            data_bus: 0x00,
            address_bus: 0x00,
            read_mode: false,
        }
    }
}